from sqlalchemy import create_engine,Integer,String
from sqlalchemy.ext.declarative import declarative_base
#准备连接数据库基本信息

HOSTNAME = '127.0.0.1'

PORT = '3306'

DATABASE ='first_sqlalchemy'

USERNAME = 'root'

PASSWORD ='root'

#di alect+driver://username :passwor d@host :port/dat abase?charset=utf8
#按照上述的格式来組织数据库信息

DB_URI = "mysql+pymysql :// {username} : {password}@{host}: {port}/ {db}?charset=utf8". format(username=USERNAME, password=PASSWORD, host=HOSTNAME, port=PORT, db=DATABASE)

#创建数据库引擎

engine = create_engine (DB_URI)

#需示：创建好一个ORM类模型，并映射到指定的数据库中成为表
#1.用declarative_base根据engine创建一个ORM基类
Base = declarative_base(engine)
class Person(Base):
    #2.用这个Base类作为基类来写自己的ORM类，要定义"__tablename__"类属性，来指定这个模型映射到数据库中的表名
    __tablename__ = "t_person"
    #3.在这个ORM模型中创建一些属性，来跟表中的字段进行一一映射。这些属性必须是aqlalchemy给我们提供好的数据类型。
    id = Column(Integer,primary_key=True,autoincrement=True)
    name = Column(String(50),nullable=False)
    age = Column(Integer)
    country = Column(String(50))

#4.使用"Base.metadata.create_all()"来将模型映射到数据中
Base.metadata.create_all()